ServerEvents.recipes(event => {
    //末影箱
    event.remove({ output: 'enderstorage:ender_chest' })
    event.shaped(
        Item.of('enderstorage:ender_chest',2), [
        'ABA',
        'CDC',
        'AEA'
    ],
        {
            A: 'powah:crystal_blazing',
            B: '#minecraft:wool',
            C: 'minecraft:obsidian',
            D: 'createendertransmission:item_transmitter',
            E: 'functionalstorage:ender_drawer'
        }
    )
    //末影蓄水槽
    event.remove({ output: 'enderstorage:ender_tank' })
    event.shaped(
        Item.of('enderstorage:ender_tank',2), [
        'ABA',
        'CDC',
        'AEA'
    ],
        {
            A: 'powah:crystal_blazing',
            B: '#minecraft:wool',
            C: 'minecraft:obsidian',
            D: 'createendertransmission:fluid_transmitter',
            E: 'minecraft:ender_pearl'
        }
    )
})